      program savg4lnc
c
c  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
c  *              P R O G R A N :  S A V G                           *
c  *                                                                 *
c  *                   (S) TRESS    (AV) ERA  (G)  E                 *
c  *    FOR A (4)-(L)ayer grid with (N)o 90 deg (P)ly (C)rack        *
c  *                                                                 *
c  *                TYPE-II LAMINATE [0/90/45/-45]s                  *
c  *                                                                 *
c  *     CALCULATES AVERAGE STRESSES ALONG A SET OF ELEMENTS THRU    *
c  *      LAMINATE THICKNESS FROM THE TOP SURFACE TO THE MIDPLANE    *
c  *           FOR ALL SIX COMPONENTS OF THE STRESS TENSOR           *
c  *                                                                 *
c  *     SIGMA-N, SIGMA-H, SIGMA-Z, SIGMA-HZ, SIGMA-NZ, SIGMA-NH     *
c  *                                                                 *
c  * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
C
      common snm(840),shm(840),szm(840),shzm(840),snzm(840),snhm(840)
      common snt(840),sht(840),szt(840),shzt(840),snzt(840),snht(840)
      common snw(840),shw(840),szw(840),shzw(840),snzw(840),snhw(840)
      common z(20)
      common san(3,840),sah(3,840),saz(3,840),
     *       sahz(3,840),sanz(3,840),sanh(3,840)
C 
C      ASSIGN TAPE NO.S 1,2,3,4/5,6,7,8,9,10 TO INPUT/OUTPUT FILES
C
      OPEN(1,FILE='lfemi4lnc_mechstress.out',STATUS='OLD',ERR=8888)
      OPEN(2,FILE='lfemi4lnc_thermstress.out',STATUS='OLD',ERR=8888)
      OPEN(3,FILE='lfemi4lnc_moiststress.out',STATUS='OLD',ERR=8888)
      OPEN(4,FILE='savg_stress4lnc.out',STATUS='UNKNOWN',ERR=8888)
      OPEN(5,FILE='data1.dat',STATUS='UNKNOWN',ERR=8888)
      OPEN(6,FILE='data2.dat',STATUS='UNKNOWN',ERR=8888)
      OPEN(7,FILE='data3.dat',STATUS='UNKNOWN',ERR=8888)
      OPEN(8,FILE='data4.dat',STATUS='UNKNOWN',ERR=8888)
      OPEN(9,FILE='data5.dat',STATUS='UNKNOWN',ERR=8888)
      OPEN(10,FILE='data6.dat',STATUS='UNKNOWN',ERR=8888)
c
      ielem=840
c
      do 9 i=1,ielem
      read(1,10)snm(i),shm(i),szm(i),shzm(i),snzm(i),snhm(i)
      read(2,10)snt(i),sht(i),szt(i),shzt(i),snzt(i),snht(i)
    9 read(3,10)snw(i),shw(i),szw(i),shzw(i),snzw(i),snhw(i)
   10 format(5x,6(1x,e12.5))
c
c       CALCULATING POINTS ALONG THE NONDIMENSIONAL Z/T COORDINATES
c
      z(1)=0.0125
      z(2)=0.05
      z(3)=0.125
      z(4)=0.2
c
      z(5)=0.2375
      z(6)=0.2625
      z(7)=0.3
      z(8)=0.375
c
      z(9)=0.45
      z(10)=0.4875
      z(11)=0.5125
      z(12)=0.55
c
      z(13)=0.625
      z(14)=0.7
      z(15)=0.7375
      z(16)=0.7625
c
      z(17)=0.8
      z(18)=0.875
      z(19)=0.95
      z(20)=0.9875
c
c   Average SIGMA-N stresses thru all four layers along the z-axis at
c    x=0 from the top surface (Z/T=1.0) up to the midplane (Z/T=0.0)
c 
c       MECH STRESSES
      san(1,1)= snm(786)
      san(1,2)= snm(751)
      san(1,3)= snm(723)
      san(1,4)= snm(689)
      san(1,5)= snm(632)
      san(1,6)= snm(576)
      san(1,7)= snm(541)
      san(1,8)= snm(513)
      san(1,9)= snm(479)
      san(1,10)=snm(422)
      san(1,11)=snm(366)
      san(1,12)=snm(331)
      san(1,13)=snm(303)
      san(1,14)=snm(269)
      san(1,15)=snm(212)
      san(1,16)=snm(156)
      san(1,17)=snm(121)
      san(1,18)=snm(93)
      san(1,19)=snm(59)
      san(1,20)=snm(2)
c
c       MECH+THERM STRESSES
      san(2,1)= san(1,1)+ snt(786)
      san(2,2)= san(1,2)+ snt(751)
      san(2,3)= san(1,3)+ snt(723)
      san(2,4)= san(1,4)+ snt(689)
      san(2,5)= san(1,5)+ snt(632)
      san(2,6)= san(1,6)+ snt(576)
      san(2,7)= san(1,7)+ snt(541)
      san(2,8)= san(1,8)+ snt(513)
      san(2,9)= san(1,9)+ snt(479)
      san(2,10)=san(1,10)+snt(422)
      san(2,11)=san(1,11)+snt(366)
      san(2,12)=san(1,12)+snt(331)
      san(2,13)=san(1,13)+snt(303)
      san(2,14)=san(1,14)+snt(269)
      san(2,15)=san(1,15)+snt(212)
      san(2,16)=san(1,16)+snt(156)
      san(2,17)=san(1,17)+snt(121)
      san(2,18)=san(1,18)+snt(93)
      san(2,19)=san(1,19)+snt(59)
      san(2,20)=san(1,19)+snt(2)
c
c       MECH+THERM+MOIST STRESSES
      san(3,1)= san(2,1)+ snw(786)
      san(3,2)= san(2,2)+ snw(751)
      san(3,3)= san(2,3)+ snw(723)
      san(3,4)= san(2,4)+ snw(689)
      san(3,5)= san(2,5)+ snw(632)
      san(3,6)= san(2,6)+ snw(576)
      san(3,7)= san(2,7)+ snw(541)
      san(3,8)= san(2,8)+ snw(513)
      san(3,9)= san(2,9)+ snw(479)
      san(3,10)=san(2,10)+snw(422)
      san(3,11)=san(2,11)+snw(366)
      san(3,12)=san(2,12)+snw(331)
      san(3,13)=san(2,13)+snw(303)
      san(3,14)=san(2,14)+snw(269)
      san(3,15)=san(2,15)+snw(212)
      san(3,16)=san(2,16)+snw(156)
      san(3,17)=san(2,17)+snw(121)
      san(3,18)=san(2,18)+snw(93)
      san(3,19)=san(2,19)+snw(59)
      san(3,20)=san(2,19)+snw(2)
c
c       Write SIGMA-H results to a file for plotting
c
      WRITE(4,230)
  230 FORMAT(/,1X,'SIGMA-N STRESS DISTR. THRU THE 0 DEG PLY AT H=0'
     *,/,' Z/T POSITION    MECH    MECH+THERM  MECH+THERM+MOIST')
      do 231 i=1,20
      WRITE(5,215)z(i),san(1,i),san(2,i),san(3,i)
  231 WRITE(4,215)z(i),san(1,i),san(2,i),san(3,i)
  215 FORMAT(5(1X,E11.4))
c
c--------------------------------------------------------------------
c   Average SIGMA-H stresses thru all four layers along the z-axis at
c    H=0 from the top surface (Z/T=1.0) up to the midplane (Z/T=0.0)
c 
c       MECH STRESSES
      sah(1,1)= shm(786)
      sah(1,2)= shm(751)
      sah(1,3)= shm(723)
      sah(1,4)= shm(689)
      sah(1,5)= shm(632)
      sah(1,6)= shm(576)
      sah(1,7)= shm(541)
      sah(1,8)= shm(513)
      sah(1,9)= shm(479)
      sah(1,10)=shm(422)
      sah(1,11)=shm(366)
      sah(1,12)=shm(331)
      sah(1,13)=shm(303)
      sah(1,14)=shm(269)
      sah(1,15)=shm(212)
      sah(1,16)=shm(156)
      sah(1,17)=shm(121)
      sah(1,18)=shm(93)
      sah(1,19)=shm(59)
      sah(1,20)=shm(2)
c
c       MECH+THERM STRESSES
      sah(2,1)= sah(1,1)+ sht(786)
      sah(2,2)= sah(1,2)+ sht(751)
      sah(2,3)= sah(1,3)+ sht(723)
      sah(2,4)= sah(1,4)+ sht(689)
      sah(2,5)= sah(1,5)+ sht(632)
      sah(2,6)= sah(1,6)+ sht(576)
      sah(2,7)= sah(1,7)+ sht(541)
      sah(2,8)= sah(1,8)+ sht(513)
      sah(2,9)= sah(1,9)+ sht(479)
      sah(2,10)=sah(1,10)+sht(422)
      sah(2,11)=sah(1,11)+sht(366)
      sah(2,12)=sah(1,12)+sht(331)
      sah(2,13)=sah(1,13)+sht(303)
      sah(2,14)=sah(1,14)+sht(269)
      sah(2,15)=sah(1,15)+sht(212)
      sah(2,16)=sah(1,16)+sht(156)
      sah(2,17)=sah(1,17)+sht(121)
      sah(2,18)=sah(1,18)+sht(93)
      sah(2,19)=sah(1,19)+sht(59)
      sah(2,20)=sah(1,19)+sht(2)
c
c       MECH+THERM+MOIST STRESSES
      sah(3,1)= sah(2,1)+ shw(786)
      sah(3,2)= sah(2,2)+ shw(751)
      sah(3,3)= sah(2,3)+ shw(723)
      sah(3,4)= sah(2,4)+ shw(689)
      sah(3,5)= sah(2,5)+ shw(632)
      sah(3,6)= sah(2,6)+ shw(576)
      sah(3,7)= sah(2,7)+ shw(541)
      sah(3,8)= sah(2,8)+ shw(513)
      sah(3,9)= sah(2,9)+ shw(479)
      sah(3,10)=sah(2,10)+shw(422)
      sah(3,11)=sah(2,11)+shw(366)
      sah(3,12)=sah(2,12)+shw(331)
      sah(3,13)=sah(2,13)+shw(303)
      sah(3,14)=sah(2,14)+shw(269)
      sah(3,15)=sah(2,15)+shw(212)
      sah(3,16)=sah(2,16)+shw(156)
      sah(3,17)=sah(2,17)+shw(121)
      sah(3,18)=sah(2,18)+shw(93)
      sah(3,19)=sah(2,19)+shw(59)
      sah(3,20)=sah(2,19)+shw(2)
c
c       Write SIGMA-H results to a file for plotting
c
      WRITE(4,330)
  330 FORMAT(/,1X,'SIGMA-H STRESS DISTR. THRU THE 0 DEG PLY AT H=0'
     *,/,' Z/T POSITION    MECH    MECH+THERM  MECH+THERM+MOIST')
      do 331 i=1,20
      WRITE(6,215)z(i),sah(1,i),sah(2,i),sah(3,i)
  331 WRITE(4,215)z(i),sah(1,i),sah(2,i),sah(3,i)
c
c--------------------------------------------------------------------
c   Average SIGMA-Z stresses thru all four layers along the z-axis at
c    H=0 from the top surface (Z/T=1.0) up to the midplane (Z/T=0.0)
c 
c       MECH STRESSES
      saz(1,1)= szm(786)
      saz(1,2)= szm(751)
      saz(1,3)= szm(723)
      saz(1,4)= szm(689)
      saz(1,5)= szm(632)
      saz(1,6)= szm(576)
      saz(1,7)= szm(541)
      saz(1,8)= szm(513)
      saz(1,9)= szm(479)
      saz(1,10)=szm(422)
      saz(1,11)=szm(366)
      saz(1,12)=szm(331)
      saz(1,13)=szm(303)
      saz(1,14)=szm(269)
      saz(1,15)=szm(212)
      saz(1,16)=szm(156)
      saz(1,17)=szm(121)
      saz(1,18)=szm(93)
      saz(1,19)=szm(59)
      saz(1,20)=szm(2)
c
c       MECH+THERM STRESSES
      saz(2,1)= saz(1,1)+ szt(786)
      saz(2,2)= saz(1,2)+ szt(751)
      saz(2,3)= saz(1,3)+ szt(723)
      saz(2,4)= saz(1,4)+ szt(689)
      saz(2,5)= saz(1,5)+ szt(632)
      saz(2,6)= saz(1,6)+ szt(576)
      saz(2,7)= saz(1,7)+ szt(541)
      saz(2,8)= saz(1,8)+ szt(513)
      saz(2,9)= saz(1,9)+ szt(479)
      saz(2,10)=saz(1,10)+szt(422)
      saz(2,11)=saz(1,11)+szt(366)
      saz(2,12)=saz(1,12)+szt(331)
      saz(2,13)=saz(1,13)+szt(303)
      saz(2,14)=saz(1,14)+szt(269)
      saz(2,15)=saz(1,15)+szt(212)
      saz(2,16)=saz(1,16)+szt(156)
      saz(2,17)=saz(1,17)+szt(121)
      saz(2,18)=saz(1,18)+szt(93)
      saz(2,19)=saz(1,19)+szt(59)
      saz(2,20)=saz(1,19)+szt(2)
c
c       MECH+THERM+MOIST STRESSES
      saz(3,1)= saz(2,1)+ szw(786)
      saz(3,2)= saz(2,2)+ szw(751)
      saz(3,3)= saz(2,3)+ szw(723)
      saz(3,4)= saz(2,4)+ szw(689)
      saz(3,5)= saz(2,5)+ szw(632)
      saz(3,6)= saz(2,6)+ szw(576)
      saz(3,7)= saz(2,7)+ szw(541)
      saz(3,8)= saz(2,8)+ szw(513)
      saz(3,9)= saz(2,9)+ szw(479)
      saz(3,10)=saz(2,10)+szw(422)
      saz(3,11)=saz(2,11)+szw(366)
      saz(3,12)=saz(2,12)+szw(331)
      saz(3,13)=saz(2,13)+szw(303)
      saz(3,14)=saz(2,14)+szw(269)
      saz(3,15)=saz(2,15)+szw(212)
      saz(3,16)=saz(2,16)+szw(156)
      saz(3,17)=saz(2,17)+szw(121)
      saz(3,18)=saz(2,18)+szw(93)
      saz(3,19)=saz(2,19)+szw(59)
      saz(3,20)=saz(2,19)+szw(2)
c
c       Write SIGMA-H results to a file for plotting
c
      WRITE(4,430)
  430 FORMAT(/,1X,'SIGMA-Z STRESS DISTR. THRU THE 0 DEG PLY AT H=0'
     *,/,' Z/T POSITION    MECH    MECH+THERM  MECH+THERM+MOIST')
      do 431 i=1,20
      WRITE(7,215)z(i),saz(1,i),saz(2,i),saz(3,i)
  431 WRITE(4,215)z(i),saz(1,i),saz(2,i),saz(3,i)
c
c---------------------------------------------------------------------
c   Average SIGMA-HZ stresses thru all four layers along the z-axis at
c    H=0 from the top surface (Z/T=1.0) up to the midplane (Z/T=0.0)
c 
c       MECH STRESSES
      sahz(1,1)= shzm(786)
      sahz(1,2)= shzm(751)
      sahz(1,3)= shzm(723)
      sahz(1,4)= shzm(689)
      sahz(1,5)= shzm(632)
      sahz(1,6)= shzm(576)
      sahz(1,7)= shzm(541)
      sahz(1,8)= shzm(513)
      sahz(1,9)= shzm(479)
      sahz(1,10)=shzm(422)
      sahz(1,11)=shzm(366)
      sahz(1,12)=shzm(331)
      sahz(1,13)=shzm(303)
      sahz(1,14)=shzm(269)
      sahz(1,15)=shzm(212)
      sahz(1,16)=shzm(156)
      sahz(1,17)=shzm(121)
      sahz(1,18)=shzm(93)
      sahz(1,19)=shzm(59)
      sahz(1,20)=shzm(2)
c
c       MECH+THERM STRESSES
      sahz(2,1)= sahz(1,1)+ shzt(786)
      sahz(2,2)= sahz(1,2)+ shzt(751)
      sahz(2,3)= sahz(1,3)+ shzt(723)
      sahz(2,4)= sahz(1,4)+ shzt(689)
      sahz(2,5)= sahz(1,5)+ shzt(632)
      sahz(2,6)= sahz(1,6)+ shzt(576)
      sahz(2,7)= sahz(1,7)+ shzt(541)
      sahz(2,8)= sahz(1,8)+ shzt(513)
      sahz(2,9)= sahz(1,9)+ shzt(479)
      sahz(2,10)=sahz(1,10)+shzt(422)
      sahz(2,11)=sahz(1,11)+shzt(366)
      sahz(2,12)=sahz(1,12)+shzt(331)
      sahz(2,13)=sahz(1,13)+shzt(303)
      sahz(2,14)=sahz(1,14)+shzt(269)
      sahz(2,15)=sahz(1,15)+shzt(212)
      sahz(2,16)=sahz(1,16)+shzt(156)
      sahz(2,17)=sahz(1,17)+shzt(121)
      sahz(2,18)=sahz(1,18)+shzt(93)
      sahz(2,19)=sahz(1,19)+shzt(59)
      sahz(2,20)=sahz(1,19)+shzt(2)
c
c       MECH+THERM+MOIST STRESSES
      sahz(3,1)= sahz(2,1)+ shzw(786)
      sahz(3,2)= sahz(2,2)+ shzw(751)
      sahz(3,3)= sahz(2,3)+ shzw(723)
      sahz(3,4)= sahz(2,4)+ shzw(689)
      sahz(3,5)= sahz(2,5)+ shzw(632)
      sahz(3,6)= sahz(2,6)+ shzw(576)
      sahz(3,7)= sahz(2,7)+ shzw(541)
      sahz(3,8)= sahz(2,8)+ shzw(513)
      sahz(3,9)= sahz(2,9)+ shzw(479)
      sahz(3,10)=sahz(2,10)+shzw(422)
      sahz(3,11)=sahz(2,11)+shzw(366)
      sahz(3,12)=sahz(2,12)+shzw(331)
      sahz(3,13)=sahz(2,13)+shzw(303)
      sahz(3,14)=sahz(2,14)+shzw(269)
      sahz(3,15)=sahz(2,15)+shzw(212)
      sahz(3,16)=sahz(2,16)+shzw(156)
      sahz(3,17)=sahz(2,17)+shzw(121)
      sahz(3,18)=sahz(2,18)+shzw(93)
      sahz(3,19)=sahz(2,19)+shzw(59)
      sahz(3,20)=sahz(2,19)+shzw(2)
c
c       Write SIGMA-HZ results to a file for plotting
c
      WRITE(4,530)
  530 FORMAT(/,1X,'SIGMA-HZ STRESS DISTR. THRU THE 0 DEG PLY AT H=0'
     *,/,' Z/T POSITION    MECH    MECH+THERM  MECH+THERM+MOIST')
      do 531 i=1,20
      WRITE(8,215)z(i),sahz(1,i),sahz(2,i),sahz(3,i)
  531 WRITE(4,215)z(i),sahz(1,i),sahz(2,i),sahz(3,i)
c
c----------------------------------------------------------------------
c   Average SIGMA-NZ stresses thru all four layers along the z-axis at
c    H=0 from the top surface (Z/T=1.0) up to the midplane (Z/T=0.0)
c 
c       MECH STRESSES
      sanz(1,1)= snzm(786)
      sanz(1,2)= snzm(751)
      sanz(1,3)= snzm(723)
      sanz(1,4)= snzm(689)
      sanz(1,5)= snzm(632)
      sanz(1,6)= snzm(576)
      sanz(1,7)= snzm(541)
      sanz(1,8)= snzm(513)
      sanz(1,9)= snzm(479)
      sanz(1,10)=snzm(422)
      sanz(1,11)=snzm(366)
      sanz(1,12)=snzm(331)
      sanz(1,13)=snzm(303)
      sanz(1,14)=snzm(269)
      sanz(1,15)=snzm(212)
      sanz(1,16)=snzm(156)
      sanz(1,17)=snzm(121)
      sanz(1,18)=snzm(93)
      sanz(1,19)=snzm(59)
      sanz(1,20)=snzm(2)
c
c       MECH+THERM STRESSES
      sanz(2,1)= sanz(1,1)+ snzt(786)
      sanz(2,2)= sanz(1,2)+ snzt(751)
      sanz(2,3)= sanz(1,3)+ snzt(723)
      sanz(2,4)= sanz(1,4)+ snzt(689)
      sanz(2,5)= sanz(1,5)+ snzt(632)
      sanz(2,6)= sanz(1,6)+ snzt(576)
      sanz(2,7)= sanz(1,7)+ snzt(541)
      sanz(2,8)= sanz(1,8)+ snzt(513)
      sanz(2,9)= sanz(1,9)+ snzt(479)
      sanz(2,10)=sanz(1,10)+snzt(422)
      sanz(2,11)=sanz(1,11)+snzt(366)
      sanz(2,12)=sanz(1,12)+snzt(331)
      sanz(2,13)=sanz(1,13)+snzt(303)
      sanz(2,14)=sanz(1,14)+snzt(269)
      sanz(2,15)=sanz(1,15)+snzt(212)
      sanz(2,16)=sanz(1,16)+snzt(156)
      sanz(2,17)=sanz(1,17)+snzt(121)
      sanz(2,18)=sanz(1,18)+snzt(93)
      sanz(2,19)=sanz(1,19)+snzt(59)
      sanz(2,20)=sanz(1,19)+snzt(2)
c
c       MECH+THERM+MOIST STRESSES
      sanz(3,1)= sanz(2,1)+ snzw(786)
      sanz(3,2)= sanz(2,2)+ snzw(751)
      sanz(3,3)= sanz(2,3)+ snzw(723)
      sanz(3,4)= sanz(2,4)+ snzw(689)
      sanz(3,5)= sanz(2,5)+ snzw(632)
      sanz(3,6)= sanz(2,6)+ snzw(576)
      sanz(3,7)= sanz(2,7)+ snzw(541)
      sanz(3,8)= sanz(2,8)+ snzw(513)
      sanz(3,9)= sanz(2,9)+ snzw(479)
      sanz(3,10)=sanz(2,10)+snzw(422)
      sanz(3,11)=sanz(2,11)+snzw(366)
      sanz(3,12)=sanz(2,12)+snzw(331)
      sanz(3,13)=sanz(2,13)+snzw(303)
      sanz(3,14)=sanz(2,14)+snzw(269)
      sanz(3,15)=sanz(2,15)+snzw(212)
      sanz(3,16)=sanz(2,16)+snzw(156)
      sanz(3,17)=sanz(2,17)+snzw(121)
      sanz(3,18)=sanz(2,18)+snzw(93)
      sanz(3,19)=sanz(2,19)+snzw(59)
      sanz(3,20)=sanz(2,19)+snzw(2)
c
c       Write SIGMA-NZ results to a file for plotting
c
      WRITE(4,630)
  630 FORMAT(/,1X,'SIGMA-NZ STRESS DISTR. THRU THE 0 DEG PLY AT H=0'
     *,/,' Z/T POSITION    MECH    MECH+THERM  MECH+THERM+MOIST')
      do 631 i=1,20
      WRITE(9,215)z(i),sanz(1,i),sanz(2,i),sanz(3,i)
  631 WRITE(4,215)z(i),sanz(1,i),sanz(2,i),sanz(3,i)
c
c----------------------------------------------------------------------
c   Average SIGMA-NH stresses thru all four layers along the z-axis at
c    H=0 from the top surface (Z/T=1.0) up to the midplane (Z/T=0.0)
c 
c       MECH STRESSES
      sanh(1,1)= snhm(786)
      sanh(1,2)= snhm(751)
      sanh(1,3)= snhm(723)
      sanh(1,4)= snhm(689)
      sanh(1,5)= snhm(632)
      sanh(1,6)= snhm(576)
      sanh(1,7)= snhm(541)
      sanh(1,8)= snhm(513)
      sanh(1,9)= snhm(479)
      sanh(1,10)=snhm(422)
      sanh(1,11)=snhm(366)
      sanh(1,12)=snhm(331)
      sanh(1,13)=snhm(303)
      sanh(1,14)=snhm(269)
      sanh(1,15)=snhm(212)
      sanh(1,16)=snhm(156)
      sanh(1,17)=snhm(121)
      sanh(1,18)=snhm(93)
      sanh(1,19)=snhm(59)
      sanh(1,20)=snhm(2)
c
c       MECH+THERM STRESSES
      sanh(2,1)= sanh(1,1)+ snht(786)
      sanh(2,2)= sanh(1,2)+ snht(751)
      sanh(2,3)= sanh(1,3)+ snht(723)
      sanh(2,4)= sanh(1,4)+ snht(689)
      sanh(2,5)= sanh(1,5)+ snht(632)
      sanh(2,6)= sanh(1,6)+ snht(576)
      sanh(2,7)= sanh(1,7)+ snht(541)
      sanh(2,8)= sanh(1,8)+ snht(513)
      sanh(2,9)= sanh(1,9)+ snht(479)
      sanh(2,10)=sanh(1,10)+snht(422)
      sanh(2,11)=sanh(1,11)+snht(366)
      sanh(2,12)=sanh(1,12)+snht(331)
      sanh(2,13)=sanh(1,13)+snht(303)
      sanh(2,14)=sanh(1,14)+snht(269)
      sanh(2,15)=sanh(1,15)+snht(212)
      sanh(2,16)=sanh(1,16)+snht(156)
      sanh(2,17)=sanh(1,17)+snht(121)
      sanh(2,18)=sanh(1,18)+snht(93)
      sanh(2,19)=sanh(1,19)+snht(59)
      sanh(2,20)=sanh(1,19)+snht(2)
c
c       MECH+THERM+MOIST STRESSES
      sanh(3,1)= sanh(2,1)+ snhw(786)
      sanh(3,2)= sanh(2,2)+ snhw(751)
      sanh(3,3)= sanh(2,3)+ snhw(723)
      sanh(3,4)= sanh(2,4)+ snhw(689)
      sanh(3,5)= sanh(2,5)+ snhw(632)
      sanh(3,6)= sanh(2,6)+ snhw(576)
      sanh(3,7)= sanh(2,7)+ snhw(541)
      sanh(3,8)= sanh(2,8)+ snhw(513)
      sanh(3,9)= sanh(2,9)+ snhw(479)
      sanh(3,10)=sanh(2,10)+snhw(422)
      sanh(3,11)=sanh(2,11)+snhw(366)
      sanh(3,12)=sanh(2,12)+snhw(331)
      sanh(3,13)=sanh(2,13)+snhw(303)
      sanh(3,14)=sanh(2,14)+snhw(269)
      sanh(3,15)=sanh(2,15)+snhw(212)
      sanh(3,16)=sanh(2,16)+snhw(156)
      sanh(3,17)=sanh(2,17)+snhw(121)
      sanh(3,18)=sanh(2,18)+snhw(93)
      sanh(3,19)=sanh(2,19)+snhw(59)
      sanh(3,20)=sanh(2,19)+snhw(2)
c
c       Write SIGMA-NH results to a file for plotting
c
      WRITE(4,730)
  730 FORMAT(/,1X,'SIGMA-NH STRESS DISTR. THRU THE 0 DEG PLY AT H=0'
     *,/,' Z/T POSITION    MECH    MECH+THERM  MECH+THERM+MOIST')
      do 731 i=1,20
      WRITE(10,215)z(i),sanh(1,i),sanh(2,i),sanh(3,i)
  731 WRITE(4,215)z(i),sanh(1,i),sanh(2,i),sanh(3,i)
c
 8888 STOP
      END
